// 该指令只支持H5
import renderMath from '@/utils/mathJax/renderMath.js'

export default {
  name: 'math',
  inserted (el, binding) {
    if (!binding.value) return;
		// console.log(binding.value)
		// console.log(Reflect.ownKeys(el.__vnode.el))
		// console.log(el.__vnode)
		el.__vnode.el.innerHTML = renderMath(binding.value)
  }
}
